Printer.PrinterStatus

com.rscja.deviceapi

## Enum Printer.PrinterStatus

- java.lang.Object
- - java.lang.Enum<Printer.PrinterStatus>
  - - com.rscja.deviceapi.Printer.PrinterStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Printer.PrinterStatus>
  Enclosing class:
    Printer

      public static enum Printer.PrinterStatus
      extends java.lang.Enum<Printer.PrinterStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELPAPER` 打印机用户未取纸 User doesnot get paper
    `LACKOFPAPER` 打印机缺纸 printer lack paper
    `LEISURE` 打印机闲 Printer available
    `NORMAL` 打印机正常 Printer normal
    `OVERHEATING` 打印机过热 Printer overheat.
    `OVERPRESSURE` 打印机过压 Printer overvolt.
    `PAPERFINISH` 打印机纸将尽 Printer paper used up
    `PAPERSTUCK` 打印机卡纸 Printer paper stuck
    `PRESSUREAXISOPEN` 打印机压轴打开 Printer shaft open
    `SLICINGERROR` 打印机切片错误 Printer cutting error
    `UNLEISURED` 打印机繁忙 The printer data is full,

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Printer.PrinterStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Printer.PrinterStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Printer.PrinterStatus NORMAL

      打印机正常
      Printer normal

    - #### OVERPRESSURE

          public static final Printer.PrinterStatus OVERPRESSURE

      打印机过压
      Printer overvolt.

    - #### LACKOFPAPER

          public static final Printer.PrinterStatus LACKOFPAPER

      打印机缺纸
      printer lack paper

    - #### OVERHEATING

          public static final Printer.PrinterStatus OVERHEATING

      打印机过热
      Printer overheat.

    - #### PRESSUREAXISOPEN

          public static final Printer.PrinterStatus PRESSUREAXISOPEN

      打印机压轴打开
      Printer shaft open

    - #### PAPERSTUCK

          public static final Printer.PrinterStatus PAPERSTUCK

      打印机卡纸
      Printer paper stuck

    - #### SLICINGERROR

          public static final Printer.PrinterStatus SLICINGERROR

      打印机切片错误
      Printer cutting error

    - #### PAPERFINISH

          public static final Printer.PrinterStatus PAPERFINISH

      打印机纸将尽
      Printer paper used up

    - #### CANCELPAPER

          public static final Printer.PrinterStatus CANCELPAPER

      打印机用户未取纸
      User doesnot get paper

    - #### UNLEISURED

          public static final Printer.PrinterStatus UNLEISURED

      打印机繁忙
      The printer data is full,

    - #### LEISURE

          public static final Printer.PrinterStatus LEISURE

      打印机闲
      Printer available

  - ### Method Detail

    - #### values

          public static Printer.PrinterStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Printer.PrinterStatus c : Printer.PrinterStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Printer.PrinterStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null